## cmucl 20b

=== debian/changelog ===
cmucl (20b-1) unstable; urgency=low

  * New upstream release: 20b. (Closes: #587450)
  * Integrated patch 20b-000 
  * We were cleaning up too much, don't remove .gif files
  * Fixed typo in src/docs/cmu-user/unicode.tex 
  * Make documentation work with newer texlive/hevea
  * Updated Standards-Version, no real changed
  * Use + in NEWS file 
  * move own-work round as quilt assumes that all our stuff is in debian/
  * Found a workaround. Now we build sse2 and x87 images of cmucl. 
    (Closes: #526584) 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 25 Feb 2011 04:50:46 +0000

cmucl (20a-20090928-2) unstable; urgency=low

  * Integrated patch-000 for 20a.
  * fix cmucl-docs Section, should also be lisp

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 05 Oct 2009 07:10:17 +0200

cmucl (20a-20090928-1) unstable; urgency=low

  * Added debian/README.building file
  * Added ru.po file, thanks to Yuri Kozlov. (Closes: #541763)
  * New upstream release.
  * Fixed a small TeX typo
  * Change section to lisp
  * Updated Standards-Version no real changes
  * Also install src/pcl/simple-streams/external-formats files into
    usr/lib/cmucl/ext-formats

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 01 Oct 2009 15:32:31 +0000

cmucl (19f-20090312-1) unstable; urgency=low

  * New upstream release. Major changes:
      + Feature enhancements:
        - ~R supports many more cardinal names.
        - Updated network support:
          o Added BIND-INET-SOCKET to bind a socket to a local address.
          o Added OPEN-NETWORK-STREAM to create a stream connected to a 
            given host.
          o Added ACCEPT-NETWORK-STREAM to create a stream connected to
            the new network connection
          o Updated CONNECT-TO-INET-SOCKET to allow binding the newly
            created socket to a local address
        - Added UNIX:UNIX-OPENPTY, an interface to the openpty C library
          function.
        - SSE2 support added for x86.
          o CMUCL automatically detects whether sse2 is supported or not
            and loads up the appropriate core file.
          o New -fpu switch allows the user to specify explicitly which
            core should be used.  The valid values are x87, sse2, or auto
            (the default).
          o Fasls compiled with sse2 support have the extension sse2f.
            Otherwise, the normal x86f extension is used.  This allows the
            user to do tests/experiments with both x87 and sse2 without
            having to mess around with different directories and removing
            fasls before building for a different FPU.
          o If the chip supports sse2, but CMUCL can't find the sse2 core,
            CMUCL will try to fall back to the x87 core.  (This only
            happens if -fpu is auto.)
        - Command line parsing now recognizes the option "--".  Everything
          after "--" is not subject to CMUCL's command line parsing, and
          everything after the "--" is placed in the new variable
          EXT:*COMMAND-LINE-APPLICATION-ARGUMENTS*. 
    
      + ANSI compliance fixes:
        - Fix bug in backquote printer.  If the variable is @foo, we want
          to print ", @foo" not ",@foo".  Similarly, for .foo, we want to
          print ", .foo" instead of ",.foo".
        - Fix merging of version in MAKE-PATHNAME.  If the pathname name
          is given, the version is not affected by the version in the
          default pathname.
        - RENAME-FILE now creates defaulted-new-name from merging new-name
          with the original filespec.  This is an incompatible change from
          the previous version which created defaulted-new-name from
          merging the new-name with the truename of filespec.  Also, a
          logical pathname should be returned if new-name is a logical
          pathname. 
        - Character names need to be a capital letter followed by lower
          case.  Needed to match what ~:C does.  (Found via ansi-tests).
    
      + Bugfixes:
        - Compiler can now derive the rank of an array, even if the array
          is not simple.
        - Fix off-by-one bug in ~R which prevents printing numbers from
          10^63 to 10^66-1.  10^63 is a vigintillion.
        - The compiler and interpreter should now handle slot-value the
          same.  Previously, different results were returned for things
          like (slot-value foo :a).
        - UNIX-GETGRNAM is now defined for Darwin (x86 and ppc).
        - UNIX-GETPWUID is defined for all BSD systems.
        - Type-derivation for EXPT no longer causes errors in some
          situations.  The computed bounds were of the wrong type for the
          resulting type specifier.
        - Pathname printer no longer produces an error for (MAKE-PATHNAME
          :HOST NIL :TYPE "foo").  It returns #P(:HOST NIL :TYPE "foo")
          now. 
        - Type derivation for DOUBLE-DOUBLE-FLOAT arithmetic should be
          working.  Previously, all arithmetic operations would just
          return DOUBLE-DOUBLE-FLOAT even though the compiler should have
          been able to figure out a tighter result.
        - When SCALE-FLOAT would underflow, it would always return 0f0,
          instead of a floating-point zero of the correct type.
        - Fix some issues in creating the debug arglist string when the
          arglist contains items that can't be printed readably.
        - DIRECTORY is now faster for directories with a large number of
          files.  
        - RANDOM is now much faster on all platforms for numbers upto
          #xffffffff.  This is an incompatible change from previous
          releases because the numbers produced may be different from
          before.  
        - The small bias in RANDOM for integer args up to 32 bits long
          should now be gone.
        - Improved type derivation for LOGAND when one arg is bounded but
          the other is not.


=== debian/control ===
Source: cmucl
Section: lisp
Build-Depends: debhelper (>= 7), lesstif2-dev, cmucl (>= 20b-1), hevea, tidy, a2ps, x11proto-core-dev, bc, texlive-extra-utils, texlive, texlive-latex-extra, po-debconf
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.9.1
Homepage: http://www.cons.org/cmucl/
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cmucl.git

Package: cmucl
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cmucl-source, cmucl-docs, ilisp
Pre-Depends: common-lisp-controller (>= 4.2)
Replaces: cmucl-normal (<< 18e), cmucl-small (<< 18e), cmucl-safe (<< 18e)
Provides: lisp-compiler, lisp-core
Recommends: binfmt-support (>= 1.1.2)
Description: The CMUCL lisp compiler and development system
 This is the basis package for CMUCL. It contains the base
 image with the compiler, PCL (CLOS), and the tty based
 debugger.
 .
 It is a Common Lisp development system, written in Common
 Lisp itself with a long history.

Package: cmucl-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: The CMUCL documentation
 This is the documentation of the CMUCL main package.
 The clm, clx and hemlock documentation is still in their own
 packages.

Package: cmucl-clm
Architecture: i386
Conflicts: cmucl (<< 18e)
Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 18e) , cmucl-source
Description: The Motif interface for CMUCL
 This package contains the lisp interface to motif and
 the motifd server program that actually does the processing.
 .
 The motifd server is based on lesstif.
 .
 Included in this package is an X based replacement for the tty based
 debugger and inspector.

Package: cmucl-source
Architecture: all
Depends: common-lisp-controller (>= 4.2), cl-asdf, ${misc:Depends}
Conflicts: cmucl (<< 18e)
Replaces: cmucl-hemlock, cmucl-clx, cmucl-defsystem, cmucl-graystream
Description: The CMUCL lisp sources
 These are the CMUCL sources, provided so that the
 debugger can show useful source information at appropriate
 times.
 .
 This version includes common-lisp-controller compatible
 replacements for defsystem, graystream, clx and hemlock.
 .
 defsystem provides a "make" type system for Lisp. This is
 a patched version from clocc.
 .
 Gray streams are the usual Lisp streams, but re-implemented
 as a Object hierarchy. Users can subclass existing classes and 
 adapt them for their own needs.
 .
 cmucl-clx is the clx library adapted for CMUCL. clx is an
 interface to X11, just like xlib.
 .
 Hemlock is an emacs clone for CMUCL.
 .
 Note that this version only works in X, the tty interface
 is broken: the system can't parse /etc/termcap.
 .
 To open the editor, type "(ed)".
 .
 Note that to recompile CMUCL you need a working CMUCL system :-(

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

#DPKG_ARCH#

export CC=gcc
export CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

#CONFIGURE#

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: #CONFIGURE_STAMP# #CONFIG_STATUS#

	# Add here commands to compile the arch part of the package.
	$(MAKE) -f debian/Makefile
	echo build done

build-indep: build-indep-stamp
build-indep-stamp: #CONFIGURE_STAMP# #CONFIG_STATUS#

	# Add here commands to compile the indep part of the package.
	$(MAKE) -f debian/Makefile doc
	echo doc build done

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config-stamp

	# Add here commands to clean up after the build process.
	chmod a+x src/tools/*.sh src/lisp/linux-nm
	$(MAKE) -f debian/Makefile clean
	debconf-updatepo

	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep  -i
	dh_installdirs -i

	chmod a+x src/tools/*.sh src/lisp/linux-nm
	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#
	$(MAKE) -f debian/Makefile DESTDIR=debian/ install-indep

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) -f debian/Makefile DESTDIR=debian/ install-dep
	find debian/cmucl-source -type d -and -name CVS -print0 | xargs -0 rm -rf

	dh_install -a
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	find debian/cmucl-source -type d -and -name CVS -print0 | xargs -0 rm -rf
	dh_installdebconf
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs src/general-info/release-19d.txt
	dh_installdocs
	dh_installexamples
	dh_installdebconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch #PHONY_CONFIGURE#

## cmucl 20c

=== src/docs/cmu-user/Makefile ===
# -*- makefile -*-
#
#
# This Makefile contains rules for converting the LaTeX sources of the
# CMUCL User's Manual into various formats: Postscript, PDF, DVI, HTML
# and info. The useful targets are:
#
#    make cmu-user.ps           (A4 paper)
#    make cmu-user-letter.ps    (letter paper)
#    make cmu-user.dvi
#    make cmu-user.pdf
#    make cmu-user.html
#    make cmu-user.info
#    make clean

# A number of addon LaTeX packages are used in the manual, to support
# features such as hyperlinks and multiple indexes. A current
# distribution of teTeX contains everything that is necessary to
# generate the Postscript, PDF and DVI formats. HTML output is
# generated using the Hevea tool, which is available from
# <URL:http://pauillac.inria.fr/~maranget/hevea/>. The HTML files are
# then split into sections using the hacha tool (distributed with
# hevea), and cleaned up using tidy.  Note that hevea 1.10 produces
# HTML that looks a bit weird.  However, hevea 1.06 works nicely.
#
# The generated DVI file should include clickable hyperlinks. The PDF
# output should include a hyperlinked table of contents, hyperlinked
# cross-references, and an index. The generated Postscript should use
# Postscript fonts that give good quality output at high resolutions.


SHELL = /bin/sh
LATEX ?= latex
BIBTEX ?= bibtex
PDFLATEX ?= pdflatex
HEVEA ?= hevea
HACHA ?= hacha
TIDY ?= tidy

FILES = *.tex

.SUFFIXES: 
.SUFFIXES: .tex .dvi .ps .ps1 .pdf .html .info


all: cmu-user.ps


# Runs LaTeX once, then reruns LaTeX as many times as necessary to get
# rid of the "undefined references" message, generates the indexes,
# the reruns LaTeX. The dependency on the .tex files means that the
# DVI file will be rebuilt only if one of the included LaTeX files has
# been modified.
%.dvi : %.tex $(FILES)
	$(LATEX) $<
	@while ( grep Rerun $*.log > /dev/null ); do \
	   $(LATEX) $<; \
	done
	if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi

	$(LATEX) $<

%.pdf : %.tex $(FILES)
	$(PDFLATEX) $<
	@while ( grep Rerun $*.log > /dev/null ); do \
	   $(PDFLATEX) $<; \
	done
	if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi
	$(PDFLATEX) $<

# the "-fix" option to hevea makes it run as many times as necessary
# to resolve all cross-references and generate an index.
%.html : %.tex $(FILES)
	$(HEVEA) -fix cmu-user.hva $<
	$(HACHA) -tocbis $@
	-$(TIDY) -m *.html

%.info : %.tex $(FILES)
	$(HEVEA) -fix -info cmu-user.hva $<

%.ps1 : %.dvi 
	dvips -o $@ $<

# convert the Postscript file to duplex (will print double-sided if
# the printer supports it)
%.ps : %.ps1
	if [ -x psset ]; then psset -d -o $@ $<; else cp $< $@; fi

# Tar up the html files.  Note: cmucl.css is duplicated here, from the
# cmucl-www repository.  Please remember to update cmucl.css here
# whenever cmucl.css changes in cmucl-www.
cmu-user-html.tgz : cmu-user.html
	mkdir cmu-user
	cp cmucl.css *.html *.gif cmu-user
	tar cf - cmu-user | gzip > cmu-user-html.tgz

# generate Postscript for letter format, instead of for A4 paper
.INTERMEDIATE: cmu-user-letter.tex
cmu-user-letter.tex: cmu-user.tex
	cp $< $@
	perl -pi -e 's/documentclass\[a4paper\]/documentclass\[letter\]/' $@


clean:
	rm -f *.log *.bbl *.blg *.ps *.pdf *.aux *.lof *.toc *.gif *.out *.ilg
	rm -f *.vdx *.cdx *.tdx *.fdx *.idx *.cnd *.fnd *.tnd *.vnd *.haux
	rm -f *.html *.hcnd *.htnd *.hvnd *.hfnd *.htoc

index:
	makeindex cmu-user.tdx -o cmu-user.tnd
	makeindex cmu-user.vdx -o cmu-user.vnd
	makeindex cmu-user.fdx -o cmu-user.fnd
	makeindex cmu-user.cdx -o cmu-user.cnd

index-letter:
	makeindex cmu-user-letter.tdx -o cmu-user-letter.tnd
	makeindex cmu-user-letter.vdx -o cmu-user-letter.vnd
	makeindex cmu-user-letter.fdx -o cmu-user-letter.fnd
	makeindex cmu-user-letter.cdx -o cmu-user-letter.cnd

.PHONY: clean index

# EOF

=== debian/changelog ===
cmucl (20c-2) unstable; urgency=low

  * Actually reference the changelog for 20c, not 19d!
  * Remove unneeded postinst/prerm for cmucl-source. (Closes: #656317)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 23 Jan 2012 06:24:27 +0000

cmucl (20c-1) unstable; urgency=low

  * New upstream release: 20c. Lots of changes see:
    http://common-lisp.net/project/cmucl/downloads/release/20c/release-20c.txt
  * Add workaround for gcc-4.6 over-optimization. (Closes: #483331)
  * Added Danish translation. (Closes: #626735)
  * Document workaround-for-gcc-4.6-overoptimization patch
  * Updated Standards-Version, no real changes
  * Remove the 'The''s in the Descriptions
  * Removed non-required changelog files
  * Improved cmucl package description
  * Stop using common-lisp-controller and dh-lisp
  * Prepare for release

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 17 Jan 2012 13:54:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: cmucl
 Section: lisp
-Build-Depends: debhelper (>= 7), lesstif2-dev, cmucl (>= 20b-1), hevea, tidy, a2ps, x11proto-core-dev, bc, texlive-extra-utils, texlive, texlive-latex-extra, po-debconf
+Build-Depends: debhelper (>= 7), lesstif2-dev, cmucl (>= 20c), hevea, tidy, a2ps, x11proto-core-dev, bc, texlive-extra-utils, texlive, texlive-latex-extra, po-debconf
 Priority: optional
 Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.cons.org/cmucl/
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cmucl.git
 
@@ -12,11 +12,10 @@
 Architecture: i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: cmucl-source, cmucl-docs, ilisp
-Pre-Depends: common-lisp-controller (>= 4.2)
 Replaces: cmucl-normal (<< 18e), cmucl-small (<< 18e), cmucl-safe (<< 18e)
 Provides: lisp-compiler, lisp-core
 Recommends: binfmt-support (>= 1.1.2)
-Description: The CMUCL lisp compiler and development system
+Description: CMU Common Lisp compiler and development system
  This is the basis package for CMUCL. It contains the base
  image with the compiler, PCL (CLOS), and the tty based
  debugger.
@@ -28,7 +27,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Description: The CMUCL documentation
+Description: CMUCL documentation
  This is the documentation of the CMUCL main package.
  The clm, clx and hemlock documentation is still in their own
  packages.
@@ -37,7 +36,7 @@
 Architecture: i386
 Conflicts: cmucl (<< 18e)
 Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 18e) , cmucl-source
-Description: The Motif interface for CMUCL
+Description: Motif interface for CMUCL
  This package contains the lisp interface to motif and
  the motifd server program that actually does the processing.
  .
@@ -48,10 +47,10 @@
 
 Package: cmucl-source
 Architecture: all
-Depends: common-lisp-controller (>= 4.2), cl-asdf, ${misc:Depends}
+Depends: cl-asdf, ${misc:Depends}
 Conflicts: cmucl (<< 18e)
 Replaces: cmucl-hemlock, cmucl-clx, cmucl-defsystem, cmucl-graystream
-Description: The CMUCL lisp sources
+Description: CMUCL lisp sources
  These are the CMUCL sources, provided so that the
  debugger can show useful source information at appropriate
  times.

=== debian/rules ===
--- 
+++ 
@@ -104,7 +104,7 @@
 binary-arch: build-arch install-arch
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs src/general-info/release-19d.txt
+	dh_installchangelogs src/general-info/release-20c.txt
 	dh_installdocs
 	dh_installexamples
 	dh_installdebconf

=== debian/watch ===
version=2

http://common-lisp.net/project/cmucl/downloads/release/ ([0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f])/ 19c

## cmucl 21a

=== debian/changelog ===
cmucl (21a-4) unstable; urgency=medium

  * clarify PCL license request. (Closes: #821150)
  * Added Brazilian Portuguese debconf translation
    (Closes: #816927)
  * use https for anonscm.debian.org reference 
  * Fix hardening options in rules 
  * Really remove check for common-lisp-controller in site-init.lisp

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 14 Dec 2015 10:26:38 +0100

cmucl (21a-3) unstable; urgency=medium

  * Fix "FTBFS (missing build-depends)" by adding a Build-Depends on
    hardening-includes and cleaning up the build environment.
    (Closes: #806246)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 14 Oct 2015 14:30:35 +0200

cmucl (21a-2) unstable; urgency=medium

  * Make cmucl-docs and cmucl-source 'Multi-Arch: foreign' as suggested by
    Aaron M. Ucko. (Closes: #801694) 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 05 Oct 2015 07:01:02 +0200

cmucl (21a-1) unstable; urgency=medium

  * Imported new upstream. For a list of changes see:
    https://gitlab.common-lisp.net/cmucl/cmucl/wikis/Release21a

    Highlights are:

    * LISP:WITH-STRING-CODEPOINT-ITERATOR added to iterate over the
      codepoints in a string. This works the same as 
      WITH-HASH-TABLE-ITERATOR.
    * LISP:WITH-STRING-GLYPH-ITERATOR added to iterate over the glyphs
      in a string.  Works like WITH-HASH-TABLE-ITERATOR.
    * LOOP supports new extended keywords
       (loop for cp being the codepoint of string ...)
      codepoints, code-point, and code-points are aliases for codepoint.
       (loop for g-string being the glpyh of string ...)
      glyphs is an alias for glpyh. 
    * Added clx-inspector module.
    * The external-format :UTF is no longer an alias for :UTF-8.
  * Remove the patch to remove Xp, upstream removed it. 
  * Remove check for common-lisp-controller in site-init.lisp 
  * cmucl-source might be Indep, but we still need to Depend on it 
  * Remove cmucl-source dependency on cl-asdf as we already ship it. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 05 Jul 2015 09:19:01 +0000

cmucl (20f-2) unstable; urgency=medium

  * Remove reference to Xp. This library seems not to be used in reality.
    (Closes: #789515)

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 04 Jun 2015 11:10:21 +0000

cmucl (20f-1) unstable; urgency=low

  * New upstream release. Changes:
    http://trac.common-lisp.net/cmucl/wiki/Release20e 
    http://trac.common-lisp.net/cmucl/wiki/Release20f 
 
    This fixes:
     - "segfault" with newer kernels (Closes: #723679)

  * Build now created linux-n not anymore build-n
  * Use canonical URL for git repository
  * Updated Standard Version, no major changes
  * Upstream now only supports SSE2 builds, no more x87 only,
    modified to cmucl.1 manpage to reflect this.
  * include updated watch file from

    http://anonscm.debian.org/viewvc/sepwatch/trunk/watchfiles/cmucl_20c-2.1.watch?view=markup
    
    thanks to bartm.
  * Don't copy the clx and hemlock sources twice into the cmucl-source
    package. Thanks to the dedup project. 
  * use pathfind in prerm to avoid lintian warning 
    command-with-path-in-maintainer-script
  * Now using debhelper compatibility level 9 
  * Removed references to pre-historic versions and conflicts 
  * Enable debian hardening options 
  * Prevented duplicate conf-file by running dh_buildep with 
    appropriate options 
  * Fix "FTBFS: build-indep needed for binary-arch" by moving the 
    cmucl-clm documentation to cmucl-docs. This builds on the previous
    entry which implemented the --arch --indep seperation.

    Thanks for Paul Gevers <elbrus@debian.org> for the patch.

    (Closes: #683398)
  * Fix "clean target does not clean up all created files" by 
    importing the patch from Paul Gevers <elbrus@debian.org>.
    (Closes: #728045)
  * Added the Italian translation of debconf messages.
    (Closes: #737220)
  * disable the gray-stream-examples-protection.patch as it
    breaks the gray-streams in fact.
  * Use the motif packages instead of lesstif.
  * Fix the Vcs-Git URL

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 04 Jun 2015 05:02:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: cmucl
 Section: lisp
-Build-Depends: debhelper (>= 7), lesstif2-dev, cmucl (>= 20c), hevea, tidy, a2ps, x11proto-core-dev, bc, texlive-extra-utils, texlive, texlive-latex-extra, po-debconf
+Build-Depends: debhelper (>= 9), libmotif-dev, cmucl (>= 21a), hevea, tidy, a2ps, x11proto-core-dev, bc, po-debconf, libxt-dev
+Build-Depends-Indep: texlive-extra-utils, texlive, texlive-latex-extra
 Priority: optional
 Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6.0
 Homepage: http://www.cons.org/cmucl/
-Vcs-Git: http://git.debian.org/git/pkg-common-lisp/cmucl.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-common-lisp/cmucl.git/
 
 Package: cmucl
 Architecture: i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: cmucl-source, cmucl-docs, ilisp
-Replaces: cmucl-normal (<< 18e), cmucl-small (<< 18e), cmucl-safe (<< 18e)
 Provides: lisp-compiler, lisp-core
 Recommends: binfmt-support (>= 1.1.2)
 Description: CMU Common Lisp compiler and development system
@@ -27,6 +27,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: CMUCL documentation
  This is the documentation of the CMUCL main package.
  The clm, clx and hemlock documentation is still in their own
@@ -34,8 +35,8 @@
 
 Package: cmucl-clm
 Architecture: i386
-Conflicts: cmucl (<< 18e)
-Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 18e) , cmucl-source
+Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 21a), cmucl-source
+Suggests: cmucl-docs
 Description: Motif interface for CMUCL
  This package contains the lisp interface to motif and
  the motifd server program that actually does the processing.
@@ -47,9 +48,9 @@
 
 Package: cmucl-source
 Architecture: all
-Depends: cl-asdf, ${misc:Depends}
-Conflicts: cmucl (<< 18e)
+Depends: ${misc:Depends}
 Replaces: cmucl-hemlock, cmucl-clx, cmucl-defsystem, cmucl-graystream
+Multi-Arch: foreign
 Description: CMUCL lisp sources
  These are the CMUCL sources, provided so that the
  debugger can show useful source information at appropriate

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,21 @@
 # build-arch and build-indep targets  by Bill Allombert 2001
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
 #DPKG_ARCH#
 
-export CC=gcc
-export CFLAGS = -Wall -g
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+export CPPFLAGS=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
+export CFLAGS=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
+export CXXFLAGS=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS=$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)
+
+CFLAGS+=${CPPFLAGS}
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -32,8 +38,12 @@
 
 build-arch: build-arch-stamp
 build-arch-stamp: #CONFIGURE_STAMP# #CONFIG_STATUS#
-
 	# Add here commands to compile the arch part of the package.
+	echo env
+	env
+	echo dpkg-buildflags --status
+	dpkg-buildflags --status
+	echo building
 	$(MAKE) -f debian/Makefile
 	echo build done
 
@@ -80,44 +90,42 @@
 	# Add here commands to install the arch part of the package into
 	# debian/tmp.
 	$(MAKE) -f debian/Makefile DESTDIR=debian/ install-dep
-	find debian/cmucl-source -type d -and -name CVS -print0 | xargs -0 rm -rf
 
 	dh_install -a
 # Build architecture independant packages using the common target.
 binary-indep: build-indep install-indep
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-	dh_installexamples
-	find debian/cmucl-source -type d -and -name CVS -print0 | xargs -0 rm -rf
-	dh_installdebconf
-	dh_installman
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_testdir --indep
+	dh_testroot --indep
+	dh_installchangelogs --indep
+	dh_installdocs --indep
+	dh_installexamples --indep
+	dh_installdebconf --indep
+	dh_installman --indep
+	dh_compress --indep
+	dh_fixperms --indep
+	dh_installdeb --indep
+	dh_gencontrol --indep
+	dh_md5sums --indep
+	dh_builddeb --indep
 
 # Build architecture dependant packages using the common target.
 binary-arch: build-arch install-arch
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs src/general-info/release-20c.txt
-	dh_installdocs
-	dh_installexamples
-	dh_installdebconf
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_makeshlibs
-	dh_shlibdeps
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_testdir --arch
+	dh_testroot --arch
+	dh_installchangelogs --arch src/general-info/release-20c.txt
+	dh_installdocs --arch
+	dh_installexamples --arch
+	dh_installdebconf --arch
+	dh_link --arch
+	dh_strip --arch
+	dh_compress --arch
+	dh_fixperms --arch
+	dh_makeshlibs --arch
+	dh_shlibdeps --arch
+	dh_installdeb --arch
+	dh_gencontrol --arch
+	dh_md5sums --arch
+	dh_builddeb --arch
 
 binary: binary-arch binary-indep
 .PHONY: build clean binary-indep binary-arch binary install install-indep install-arch #PHONY_CONFIGURE#

=== debian/watch ===
version=3
opts=uversionmangle=s/^(2011)/0.0.$1/ \
http://www.cons.org/cmucl/download.html \
(?:|.*/)cmucl-src(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## cmucl 21c

=== src/docs/cmu-user/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 .SUFFIXES: .tex .dvi .ps .ps1 .pdf .html .info
 
 
-all: cmu-user.ps
+all: cmu-user.pdf
 
 
 # Runs LaTeX once, then reruns LaTeX as many times as necessary to get
@@ -53,7 +53,7 @@
 # been modified.
 %.dvi : %.tex $(FILES)
 	$(LATEX) $<
-	@while ( grep Rerun $*.log > /dev/null ); do \
+	@while ( grep -q "Rerun to get cross" $*.log > /dev/null ); do \
 	   $(LATEX) $<; \
 	done
 	if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi
@@ -62,11 +62,11 @@
 
 %.pdf : %.tex $(FILES)
 	$(PDFLATEX) $<
-	@while ( grep Rerun $*.log > /dev/null ); do \
+	if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi
+	@while ( grep 'Rerun to get cross' $*.log > /dev/null ); do \
 	   $(PDFLATEX) $<; \
+	   if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi; \
 	done
-	if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi
-	$(PDFLATEX) $<
 
 # the "-fix" option to hevea makes it run as many times as necessary
 # to resolve all cross-references and generate an index.
@@ -102,7 +102,7 @@
 
 
 clean:
-	rm -f *.log *.bbl *.blg *.ps *.pdf *.aux *.lof *.toc *.gif *.out *.ilg
+	rm -f *.log *.bbl *.blg *.ps *.pdf *.aux *.lof *.toc *.out *.ilg
 	rm -f *.vdx *.cdx *.tdx *.fdx *.idx *.cnd *.fnd *.tnd *.vnd *.haux
 	rm -f *.html *.hcnd *.htnd *.hvnd *.hfnd *.htoc

## cmucl 21d

=== docs/cmu-user/Makefile ===
# -*- makefile -*-
#
#
# This Makefile contains rules for converting the LaTeX sources of the
# CMUCL User's Manual into various formats: Postscript, PDF, DVI, HTML
# and info. The useful targets are:
#
#    make cmu-user.ps           (A4 paper)
#    make cmu-user-letter.ps    (letter paper)
#    make cmu-user.dvi
#    make cmu-user.pdf
#    make cmu-user.html
#    make cmu-user.info
#    make clean

# A number of addon LaTeX packages are used in the manual, to support
# features such as hyperlinks and multiple indexes. A current
# distribution of teTeX contains everything that is necessary to
# generate the Postscript, PDF and DVI formats. HTML output is
# generated using the Hevea tool, which is available from
# <URL:http://pauillac.inria.fr/~maranget/hevea/>. The HTML files are
# then split into sections using the hacha tool (distributed with
# hevea), and cleaned up using tidy.  Note that hevea 1.10 produces
# HTML that looks a bit weird.  However, hevea 1.06 works nicely.
#
# The generated DVI file should include clickable hyperlinks. The PDF
# output should include a hyperlinked table of contents, hyperlinked
# cross-references, and an index. The generated Postscript should use
# Postscript fonts that give good quality output at high resolutions.


SHELL = /bin/sh
LATEX ?= latex
BIBTEX ?= bibtex
PDFLATEX ?= pdflatex
HEVEA ?= hevea
HACHA ?= hacha
TIDY ?= tidy

FILES = *.tex

.SUFFIXES: 
.SUFFIXES: .tex .dvi .ps .ps1 .pdf .html .info


all: cmu-user.pdf


# Runs LaTeX once, then reruns LaTeX as many times as necessary to get
# rid of the "undefined references" message, generates the indexes,
# the reruns LaTeX. The dependency on the .tex files means that the
# DVI file will be rebuilt only if one of the included LaTeX files has
# been modified.
%.dvi : %.tex $(FILES)
	$(LATEX) $<
	@while ( grep -q "Rerun to get cross" $*.log > /dev/null ); do \
	   $(LATEX) $<; \
	done
	if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi

	$(LATEX) $<

%.pdf : %.tex $(FILES)
	$(PDFLATEX) $<
	if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi
	@while ( grep 'Rerun to get cross' $*.log > /dev/null ); do \
	   $(PDFLATEX) $<; \
	   if [ "$<" = "cmu-user.tex" ]; then $(MAKE) index; else $(MAKE) index-letter; fi; \
	done

# the "-fix" option to hevea makes it run as many times as necessary
# to resolve all cross-references and generate an index.
%.html : %.tex $(FILES) cmu-user.hva
	$(HEVEA) -fix cmu-user.hva $<
	$(HACHA) -tocbis $@
	-$(TIDY) -m *.html

%.info : %.tex $(FILES)
	$(HEVEA) -fix -info cmu-user.hva $<

%.ps1 : %.dvi 
	dvips -o $@ $<

# convert the Postscript file to duplex (will print double-sided if
# the printer supports it)
%.ps : %.ps1
	if [ -x psset ]; then psset -d -o $@ $<; else cp $< $@; fi

# Tar up the html files.  Note: cmucl.css is duplicated here, from the
# cmucl-www repository.  Please remember to update cmucl.css here
# whenever cmucl.css changes in cmucl-www.
cmu-user-html.tgz : cmu-user.html
	mkdir cmu-user
	cp cmucl.css *.html *.gif cmu-user
	tar cf - cmu-user | gzip > cmu-user-html.tgz

# generate Postscript for letter format, instead of for A4 paper
.INTERMEDIATE: cmu-user-letter.tex
cmu-user-letter.tex: cmu-user.tex
	cp $< $@
	perl -pi -e 's/documentclass\[a4paper\]/documentclass\[letter\]/' $@


clean:
	rm -f *.log *.bbl *.blg *.ps *.pdf *.aux *.lof *.toc *.out *.ilg
	rm -f *.vdx *.cdx *.tdx *.fdx *.idx *.cnd *.fnd *.tnd *.vnd *.haux
	rm -f *.html *.hcnd *.htnd *.hvnd *.hfnd *.htoc
	rm -f cmu-user.css

index:
	makeindex cmu-user.tdx -o cmu-user.tnd
	makeindex cmu-user.vdx -o cmu-user.vnd
	makeindex cmu-user.fdx -o cmu-user.fnd
	makeindex cmu-user.cdx -o cmu-user.cnd

index-letter:
	makeindex cmu-user-letter.tdx -o cmu-user-letter.tnd
	makeindex cmu-user-letter.vdx -o cmu-user-letter.vnd
	makeindex cmu-user-letter.fdx -o cmu-user-letter.fnd
	makeindex cmu-user-letter.cdx -o cmu-user-letter.cnd

.PHONY: clean index

# EOF

=== docs/internals/Makefile ===
LATEX=latex
PDFLATEX=pdflatex
DVIPS=dvips
DVIPSRES=1200
DVIPSOPTS=-t a4 -D $(DVIPSRES)
RM=rm
CP=cp
MV=mv

HTML_SPLIT_LEVEL=2

MASTERFILE=design

FILES=architecture.tex back.tex compiler-overview.tex compiler.tex debugger.tex \
      design.tex environment.tex fasl.tex front.tex glossary.tex interface.tex \
      interpreter.tex lowlev.tex middle.tex object.tex retargeting.tex \
      run-time.tex vm.tex 

FIGURES=

all : $(MASTERFILE).pdf

$(MASTERFILE).dvi : $(FILES) $(FIGURES)
	$(LATEX) $(MASTERFILE).tex

# $(MASTERFILE).aux $(MASTERFILE).toc : $(FILES) $(FIGURES)
# 		$(LATEX) $(MASTERFILE).tex
# 		$(RM) $(MASTERFILE).dvi

# $(MASTERFILE).dvi : $(FILES) $(MASTERFILE).aux $(MASTERFILE).toc $(FIGURES)
# 		$(LATEX) $(MASTERFILE).tex

# Three times should be enough for everyone(tm).
.PHONY: firsttime
firsttime: $(MASTERFILE).dvi
	$(LATEX) $(MASTERFILE).tex
	$(LATEX) $(MASTERFILE).tex


.PRECIOUS: %.aux %.toc %.tex


%.dvi : %.tex
	$(LATEX) $<
	@while ( grep Rerun $*.log > /dev/null ); do \
	   $(LATEX) $<; \
	done
	$(LATEX) $<

%.eps :	%.fig
	fig2dev -L ps $^ $@

%.pdf : %.tex
	$(PDFLATEX) $^
	@while ( grep 'Rerun to get cross' $*.log > /dev/null ); do \
	   $(PDFLATEX) $<; \
	done
	$(PDFLATEX) $<

%.ps : %.dvi
	$(DVIPS) $(DVIPSOPTS) -o $@ $*

.PHONY: html
html : $(MASTERFILE).dvi $(FILES) $(FIGURES)
	latex2html -local_icons -antialias_text -antialias -scalable_fonts \
        -split $(HTML_SPLIT_LEVEL) -transparent -white $(MASTERFILE).tex

clean distclean cvsclean :
	-$(RM) -f *.log *.toc *.aux *.dvi *~ *.bak *.ps *.pdf core *.eps
	-$(RM) -rf design

.PHONY : allformats
allformats: $(FILES) $(FIGURES)
	$(MAKE) firsttime LATEX=pslatex
	$(MAKE) design.ps ; $(MV) design.ps design-psfonts.ps
	$(MAKE) firsttime
	$(MAKE) design.ps DVIPSRES=1200 ; $(MV) design.ps design-1200.ps
	$(MAKE) design.ps DVIPSRES=600 ; $(MV) design.ps design-600.ps
	$(MAKE) design.ps DVIPSRES=300 ; $(MV) design.ps design-300.ps
	$(MAKE) design.pdf
	$(MAKE) html HTML_SPLIT_LEVEL=3 ; $(MV) design design-split3
	$(MAKE) html HTML_SPLIT_LEVEL=2 ; $(MV) design design-split2
	$(MAKE) html HTML_SPLIT_LEVEL=1 ; $(MV) design design-split1

=== debian/changelog ===
cmucl (21d-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Wed, 15 Feb 2023 13:29:48 +0200

cmucl (21d-2) unstable; urgency=medium

  * Fix "FTBFS: error: variable length array declaration not allowed at
    file scope" by importing the upstream MR to fix compiling with gcc 11
   (Closes: #1028471)
  * Remove setting of -O flag in debian/rules, rely on dpkg-buildflags now
  * Increase debhelper compat level to 13
  * Update Standards-Version with minial changes 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 31 Jan 2023 08:26:21 +0100

cmucl (21d-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian patches for new upstream
  * Use clang to build as gcc causes a crash, see
    https://bugs.archlinux.org/task/60280 and 
    https://gitlab.common-lisp.net/cmucl/cmucl/issues/68
  * add patch to avoid latex error:

    No file cmu-user.cnd.
    (./cmu-user.aux
    ! Missing \endcsname inserted.
    <to be read again>
                       \unhbox
    l.1658 ...3.3}{180}{Strings}{subsection.13.3.3}{}}

    ?
  * Rework quilt patches:
     - fixed a typo
     - removed old unusead patches
     - refreshed old patches
  * let dpkg-buildflags handle the noopt flag
  * updated standard version, no real changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 20 Dec 2018 10:09:23 +0100

cmucl (21c-4) unstable; urgency=medium

  * Team upload.
  * Ship asdf contrib.
  * d/watch: verify upstream PGP signature on tarballs.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 27 Apr 2018 16:53:41 +0200

cmucl (21c-3) unstable; urgency=medium

  * Team upload.
  * Move Build-Depends on cmucl (and some other libs) to Build-Depends-Arch,
    so that arch:all packages can be built on amd64 buildds.
  * Remove spurious files that had sneaked in release 21c-2.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 11 Apr 2018 20:16:25 +0200

cmucl (21c-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Remove obsolete README.source.
  * Use secure URL for Homepage.
  * Fix d/watch.
  * Remove unneeded Build-Depends on a2ps.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 11 Apr 2018 14:31:09 +0200

cmucl (21c-1) unstable; urgency=medium

  * Imported new upstream version 21c
  * Updated Standard version, no real changes 
  * Use https URL in debian/watch 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 03 Nov 2017 06:58:59 +0100

cmucl (21b-1) unstable; urgency=medium

  * Imported new upstream 21b. For a list of changes see:
    https://gitlab.common-lisp.net/cmucl/cmucl/wikis/Release21b
  * updated standards without real changes.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 20 Oct 2016 16:33:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: cmucl
 Section: lisp
-Build-Depends: debhelper (>= 9), libmotif-dev, cmucl (>= 21a), hevea, tidy, a2ps, x11proto-core-dev, bc, po-debconf, libxt-dev
+Build-Depends: debhelper (>= 9), hevea, tidy, bc, po-debconf
+Build-Depends-Arch: cmucl (>= 21c), libmotif-dev, x11proto-core-dev, libxt-dev, clang
 Build-Depends-Indep: texlive-extra-utils, texlive, texlive-latex-extra
 Priority: optional
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>
-Standards-Version: 3.9.6.0
-Homepage: http://www.cons.org/cmucl/
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-common-lisp/cmucl.git/
+Standards-Version: 4.6.2
+Homepage: https://www.cons.org/cmucl/
+Vcs-Git: https://salsa.debian.org/common-lisp-team/cmucl.git
 
 Package: cmucl
 Architecture: i386
@@ -35,7 +36,7 @@
 
 Package: cmucl-clm
 Architecture: i386
-Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 21a), cmucl-source
+Depends: ${shlibs:Depends}, ${misc:Depends}, cmucl (>= 21c), cmucl-source
 Suggests: cmucl-docs
 Description: Motif interface for CMUCL
  This package contains the lisp interface to motif and

=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,6 @@
 
 CFLAGS+=${CPPFLAGS}
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif

=== debian/watch ===
version=4
opts="pgpmode=auto" https://common-lisp.net/project/cmucl/downloads/release/@ANY_VERSION@/ \
cmucl-src@ANY_VERSION@@ARCHIVE_EXT@
